Bug 173351 - [PATCH] games/4stattack: OptionsNG, Makefile simplified, added Desktop entries, icons, take maintainership
[PATCH] games/4stattack: OptionsNG, Makefile simplified, added Desktop entrie...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Rusmir Dusko
Depends on:
  Show dependency treegraph
Reported: 2012-11-04 05:40 UTC by nemysis
Modified: 2013-10-23 23:09 UTC (History)
1 user (show)

See Also:

4stattack-2.1.4_8.patch (24.39 KB, patch)
2012-11-04 05:40 UTC, nemysis
no flags Details | Diff
4stattack.diff (17.10 KB, patch)
2013-02-22 20:08 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-11-04 05:40:00 UTC
- Take maintainership

Added file(s):
- files/4stattack.in

Removed file(s):
- files/patch-4stattack
- pkg-plist
- scripts/py-compile

Makefile simplified and changed:
+PORTDOCS=	README.txt changelog.txt credits.txt
+ICON_SIZES=	16x16 22x22 32x32 48x48 64x64
+.include <bsd.port.options.mk>

Changed and refined

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

portlint -A
looks fine.

port test: clean

Build log

Comment 1 nemysis 2013-02-22 20:08:01 UTC
Restored pkg-plist

Comment 2 Martin Wilke freebsd_committer 2013-08-14 10:29:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

submitter is now committer.
Comment 3 Rusmir Dusko freebsd_committer 2013-10-23 23:09:31 UTC
State Changed
From-To: open->closed

This PR isn't needed.